package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.sql.Timestamp;

@Mapper
@Repository
public interface SceneEvaluationStatusMapper {

    @Update("UPDATE scene_import_task SET evaluation_status = #{evaluationStatus}, evaluation_error_msg = #{evaluationErrorMsg} " +
            " , start_evaluation_time = #{startEvaluationTime} , end_evaluation_time = #{endEvaluationTime} WHERE id = #{id}")
    void updateImportEvaluationStatus(@Param("evaluationStatus") String evaluationStatus, @Param("evaluationErrorMsg") String evaluationErrorMsg,
                                      @Param("startEvaluationTime") Timestamp startEvaluationTime, @Param("endEvaluationTime") Timestamp endEvaluationTime, @Param("id") String id);


    @Update("UPDATE simulation_manual_project SET evaluation_json_msg = #{json} WHERE id = #{id}")
    void updateManualProjectEvaluationStatus(@Param("id") String id, @Param("json") String json);
}
